#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aceh_basin1.28_base.ps
projection=-JM16.0c+
region=-R93.0/94.7/4.9/6.3
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map aceh_basin1.28' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/ETOPO1_Bed_g_gmt4.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
     5.459    94.377
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
     5.269    94.536
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
     5.549    93.213
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
     5.616    93.164
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
     5.914    93.313
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
     5.398    94.339
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
     5.153    93.138
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
     6.174    93.948
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
     5.140    94.427
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
     5.181    94.258
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
     5.210    94.232
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
     5.275    94.533
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
     5.024    94.371
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
     5.455    94.594
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.461    94.383
     5.459    94.377
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.483    94.443
     5.459    94.377
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.270    94.543
     5.269    94.536
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.305    94.613
     5.269    94.536
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.547    93.221
     5.549    93.213
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.578    93.322
     5.549    93.213
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.616    93.170
     5.616    93.164
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.647    93.282
     5.616    93.164
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.919    93.333
     5.914    93.313
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.863    93.327
     5.914    93.313
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.397    94.344
     5.398    94.339
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.463    94.424
     5.398    94.339
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.152    93.146
     5.153    93.138
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.033    93.172
     5.153    93.138
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     6.174    93.951
     6.174    93.948
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     6.194    93.965
     6.174    93.948
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.140    94.433
     5.140    94.427
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.177    94.476
     5.140    94.427
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.185    94.261
     5.181    94.258
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.138    94.264
     5.181    94.258
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.212    94.237
     5.210    94.232
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.251    94.263
     5.210    94.232
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.279    94.539
     5.275    94.533
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.367    94.608
     5.275    94.533
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.025    94.377
     5.024    94.371
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     4.995    94.382
     5.024    94.371
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
     5.456    94.599
     5.455    94.594
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
     5.418    94.558
     5.455    94.594
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
     5.459    94.377   -65.515     1.001     1.569
     5.269    94.536   -66.997     0.989     1.535
     5.549    93.213   -55.805     1.339     2.017
     5.616    93.164   -52.973     1.556     2.384
     5.914    93.313   -21.792     1.889     3.866
     5.398    94.339    31.358     1.281     1.503
     5.153    93.138   -34.265     2.245     3.194
     6.174    93.948   -34.157     2.310     3.373
     5.140    94.427   -63.089     1.090     1.409
     5.181    94.258   -16.856     2.061     2.388
     5.210    94.232    27.606     1.409     1.615
     5.275    94.533   -53.245     0.929     1.497
     5.024    94.371   -51.811     1.211     1.988
     5.455    94.594   -50.567     1.114     1.888
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
     4.977    93.092    19.873     4.260     5.028
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
     4.977    93.115   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
     4.977    93.092     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
     4.977    93.092     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
     4.933    93.092   5 km
END
