#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aceh_basin1.28_dcal.ps
projection=-JM16.0c+
region=-R91.2/96.5/3.1/8.1
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration aceh_basin1.28' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/ETOPO1_Bed_g_gmt4.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.914    93.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.801    93.966
     5.914    93.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.352    93.983
     5.914    93.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.002    93.235
     5.914    93.313
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.279    94.363
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.352    93.983
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     6.219    94.316
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     6.219    94.316
     5.398    94.339
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.002    93.235
     5.153    93.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.153    93.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.352    93.983
     5.153    93.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.153    93.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     6.219    94.316
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     6.219    94.316
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     6.550    94.617
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.352    93.983
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.279    94.363
     6.174    93.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.277    94.362
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.279    94.363
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.654    94.268
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.654    94.268
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.967    93.650
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.967    93.650
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.140    94.427
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.279    94.363
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.801    93.966
     5.181    94.258
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     4.836    93.969
     5.210    94.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     5.210    94.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.704    94.737
     5.210    94.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.210    94.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
     5.401    93.601
     5.210    94.232
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
     5.401    93.601     0.300
     5.801    93.966     0.300
     5.352    93.983     0.300
     5.002    93.235     0.300
     5.279    94.363     0.300
     5.704    94.737     0.300
     4.836    93.969     0.300
     6.219    94.316     0.300
     6.550    94.617     0.300
     5.277    94.362     0.300
     5.654    94.268     0.300
     4.967    93.650     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.459    94.377     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.269    94.536     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.549    93.213     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.616    93.164     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.914    93.313     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.398    94.339     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.153    93.138     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     6.174    93.948     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.140    94.427     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.181    94.258     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.210    94.232     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.275    94.533     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.024    94.371     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
     5.455    94.594     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
     5.415    94.032     0.000   222.000   222.000
     5.415    94.032     0.000   444.000   444.000
END
