#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aceh_basin1.28_tt4_near_source.ps
projection=-JX18/12
region=-R0/1.0/-10/10
gmt psbasemap $region $projection -Bxa0.1f0.1+l'Epicentral Distance (deg)' -Bya5f1g5+l'Travel Time Residual (s)' -BWeSn+t'Near-Source aceh_basin1.28' -K > $psfile
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
-10.000    1.000
10.000    1.000
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthick,red -K -O << END >> $psfile
    -0.681     0.584     0.200
    -0.155     0.656     0.200
    -0.484     0.868     0.200
    -0.452     0.911     0.200
    -0.510     0.119     0.200
     1.082     0.359     0.200
     0.096     0.498     0.200
     0.139     0.669     0.200
     1.054     0.737     0.200
     0.661     0.817     0.200
    -0.919     0.177     0.200
    -0.157     0.521     0.200
     0.229     0.863     0.200
    -0.892     0.884     0.200
    -0.477     0.367     0.200
    -0.252     0.762     0.200
     0.659     0.816     0.200
     0.534     0.842     0.200
    -0.205     0.911     0.200
     0.091     0.979     0.200
     0.980     0.152     0.200
     1.020     0.154     0.200
     0.540     0.549     0.200
     0.254     0.536     0.200
     0.354     0.795     0.200
     1.139     0.865     0.200
    -0.451     0.449     0.200
    -0.535     0.704     0.200
    -0.002     0.692     0.200
     0.838     0.683     0.200
    -0.121     0.454     0.200
    -0.058     0.702     0.200
     0.780     0.659     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthick,blue -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthick,green -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthick,red -K -O << END >> $psfile
    -0.562     0.498     0.200
     0.530     0.669     0.200
     1.095     0.817     0.200
     0.310     0.367     0.200
    -0.610     0.911     0.200
     1.258     0.536     0.200
     1.231     0.795     0.200
    -0.158     0.865     0.200
     0.823     0.142     0.200
    -0.510     0.449     0.200
    -0.172     0.704     0.200
     0.191     0.692     0.200
    -0.314     0.702     0.200
     1.133     0.659     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthick,blue -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthick,green -K -O << END >> $psfile
     0.340     0.842     0.200
END
# Average Pg residual
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
 0.12    0.000
 0.12    1.000
END
# Average Sg residual
gmt psxy -: -R $projection -Wthin,red,- -K -O << END >> $psfile
 0.30    0.0
 0.30    1.0
END
# Average Sn residual
gmt psxy -: -R $projection -Wthin,green,- -K -O << END >> $psfile
 0.34    0.0
 0.34    1.0
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -O << END >> $psfile
     9.000     0.025   Residuals for crustal phases, average over (0-1.0)
     8.000     0.050   Pg = red x; average =   0.1 (solid red line)
    -7.500     0.050   Sg = red circles; average =   0.3 (dashed red line)
    -9.500     0.050   Sn = green circles; average =   0.3 (dashed green line)
END
